Bug 121318

Summary: [CSS Regions] Strange layout for content with region breaks
Product: WebKit Reporter: Mihnea Ovidenie <mihnea>
Component: CSSAssignee: Andrei Bucur <abucur>
Status: RESOLVED FIXED    
Severity: Normal CC: abucur, commit-queue, esprehn+autocc, glenn, hyatt, kondapallykalyan, mibalan, WebkitBugTracker, webkit-ews
Priority: P2 Keywords: AdobeTracked
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 57312    
Attachments:
Description Flags
Test
none
Patch
none
Patch none

Description Mihnea Ovidenie 2013-09-13 13:22:51 PDT
Created attachment 211581 [details]
Test

In the attached test case, if one slowly resizes the browser window, the green background element is laid out and split continuosly between the 4 regions.
Comment 1 Andrei Bucur 2014-03-12 10:48:02 PDT
Created attachment 226529 [details]
Patch
Comment 2 Mihnea Ovidenie 2014-03-15 02:30:44 PDT
Wouldn't be better to use checkLayout.js and give up the reference test? Looks like you are testing that the second and the third region have zero height.
Comment 3 Andrei Bucur 2014-03-18 10:31:19 PDT
Created attachment 227070 [details]
Patch
Comment 4 Mihnea Ovidenie 2014-03-18 10:53:59 PDT
Comment on attachment 227070 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2014-03-18 23:57:45 PDT
Comment on attachment 227070 [details]
Patch

Clearing flags on attachment: 227070

Committed r165873: <http://trac.webkit.org/changeset/165873>
Comment 6 WebKit Commit Bot 2014-03-18 23:58:49 PDT
All reviewed patches have been landed.  Closing bug.